import styled from 'styled-components'
import { th } from '@pubsweet/ui-toolkit'

// #region styles
export default styled.div`
  background-color: ${props =>
    props.status ? th('tag.statusBackgroundColor') : th('tag.backgroundColor')};
  border-radius: ${th('borderRadius')};
  color: ${th('tag.color')};
  font-family: ${th('fontInterface')};
  font-size: ${th('tag.fontSize')};
  padding: calc(${th('gridUnit')} / 4) calc(${th('gridUnit')} / 2);
  text-align: center;
  vertical-align: baseline;
  text-transform: uppercase;
  width: fit-content;
`
// #endregion
